Installation Problems

classic Classic list List threaded Threaded
23 messages Options
12
Reply | Threaded
Open this post in threaded view
|

Installation Problems

Grant Smith
I'm trying to install ffmpeg on Ubuntu 10.04 using the tutorial found @
http://ubuntuforums.org/showpost.php?p=9868359&postcount=1289

I get to the portion regarding the actual install of ffmpeg and I get the
following error:

ERROR: libmp3lame >= 3.98.3 not found

If you think configure made a mistake, make sure you are using the latest
version from Git.  If the latest version fails, report the problem to the
[hidden email] mailing list or IRC #ffmpeg on irc.freenode.net.
Include the log file "config.log" produced by configure as this will help
solving the problem.

The link to my config.log file is http://pastebin.com/wsJYFe5e. It's set to
expire in ~20 hours.

Any advice on this problem would be GREATLY appreciated.

Thank you,

Grant Smith
A+, Network+, MCP x 2, BSIT/VC, MIS

Phone: +1.317.560.4457
_______________________________________________
ffmpeg-user mailing list
[hidden email]
http://ffmpeg.org/mailman/listinfo/ffmpeg-user
Reply | Threaded
Open this post in threaded view
|

Re: Installation Problems

littlebat
On Wed, 27 Apr 2011 22:17:16 -0400
Grant Smith <[hidden email]> wrote:

> I'm trying to install ffmpeg on Ubuntu 10.04 using the tutorial found
> @ http://ubuntuforums.org/showpost.php?p=9868359&postcount=1289
>
> I get to the portion regarding the actual install of ffmpeg and I get
> the following error:
>
> ERROR: libmp3lame >= 3.98.3 not found
>
> If you think configure made a mistake, make sure you are using the
> latest version from Git.  If the latest version fails, report the
> problem to the [hidden email] mailing list or IRC #ffmpeg on
> irc.freenode.net. Include the log file "config.log" produced by
> configure as this will help solving the problem.
>
> The link to my config.log file is http://pastebin.com/wsJYFe5e. It's
> set to expire in ~20 hours.
>
> Any advice on this problem would be GREATLY appreciated.
>
> Thank you,
>
> Grant Smith
> A+, Network+, MCP x 2, BSIT/VC, MIS
>
> Phone: +1.317.560.4457
> _______________________________________________
> ffmpeg-user mailing list
> [hidden email]
> http://ffmpeg.org/mailman/listinfo/ffmpeg-user

I have Compiled ffmpeg under Ubuntu 10.04 with the steps:
1, purge some package:

sudo apt-get purge libavutil-dev libavutil50 libavutil-extra-50 \
libavcodec-dev libavcodec52 libavcodec-extra-52 libavformat-dev \
libavformat52 libavformat-extra-52 libavdevice-dev libavdevice52 \
libavdevice-extra-52 libavfilter-dev libavfilter1 libavfilter-extra-1 \
libswscale-dev libswscale0 libswscale-extra-0 libpostproc-dev \
libpostproc51 libpostproc-extra-51 gnome-desktop-environment ffmpeg

2, install some codecs dev packages and libsdl dev package:
sudo apt-get install libx264-dev libxvidcore-dev libopencore-amrwb-dev \
libopencore-amrnb-dev libfaad-dev libfaac-dev libmp3lame-dev \
libtwolame-dev liba52-0.7.4-dev libcddb2-dev libcdaudio-dev \
libcdio-cdda-dev libvorbis-dev libopenjpeg-dev libsdl1.2-dev

"git clone git://git.videolan.org/x264.git" and compiled libx264 from
source

3, configure and install

./configure --enable-nonfree --enable-gpl --enable-version3 \
--enable-shared --enable-postproc --enable-libmp3lame \
--enable-libopenjpeg --enable-libvorbis --enable-libopencore-amrnb \
--enable-libopencore-amrwb --enable-libxvid --enable-libx264  \
--enable-libfaac  --enable-pthreads
_______________________________________________
ffmpeg-user mailing list
[hidden email]
http://ffmpeg.org/mailman/listinfo/ffmpeg-user
Reply | Threaded
Open this post in threaded view
|

Re: Installation Problems

littlebat
In reply to this post by Grant Smith
On Wed, 27 Apr 2011 22:17:16 -0400
Grant Smith <[hidden email]> wrote:

> I'm trying to install ffmpeg on Ubuntu 10.04 using the tutorial found
> @ http://ubuntuforums.org/showpost.php?p=9868359&postcount=1289
>
> I get to the portion regarding the actual install of ffmpeg and I get
> the following error:
>
> ERROR: libmp3lame >= 3.98.3 not found
>
> If you think configure made a mistake, make sure you are using the
> latest version from Git.  If the latest version fails, report the
> problem to the [hidden email] mailing list or IRC #ffmpeg on
> irc.freenode.net. Include the log file "config.log" produced by
> configure as this will help solving the problem.
>
> The link to my config.log file is http://pastebin.com/wsJYFe5e. It's
> set to expire in ~20 hours.
>
> Any advice on this problem would be GREATLY appreciated.
>
> Thank you,
>
> Grant Smith
> A+, Network+, MCP x 2, BSIT/VC, MIS
>
> Phone: +1.317.560.4457
> _______________________________________________
> ffmpeg-user mailing list
> [hidden email]
> http://ffmpeg.org/mailman/listinfo/ffmpeg-user

I have Compiled ffmpeg under Ubuntu 10.10 with the steps:
1, purge some package:

sudo apt-get purge libavutil-dev libavutil50 libavutil-extra-50 \
libavcodec-dev libavcodec52 libavcodec-extra-52 libavformat-dev \
libavformat52 libavformat-extra-52 libavdevice-dev libavdevice52 \
libavdevice-extra-52 libavfilter-dev libavfilter1 libavfilter-extra-1 \
libswscale-dev libswscale0 libswscale-extra-0 libpostproc-dev \
libpostproc51 libpostproc-extra-51 gnome-desktop-environment ffmpeg

note: purge gnome-desktop-environment will remove totem, gnash,
sound-juicer, etc..
If you don't purge them, maybe found such as "ffmpeg: relocation
error: /opt/ffmpeg20110404/lib/libavfilter.so.1: symbol av_expr_free,
version LIBAVUTIL_50 not defined in file libavutil.so.50 with link time
reference" when you run ffmpeg after compiled.

 2, install some codecs
dev packages and libsdl dev package: sudo apt-get install libx264-dev
libxvidcore-dev libopencore-amrwb-dev \ libopencore-amrnb-dev
libfaad-dev libfaac-dev libmp3lame-dev \ libtwolame-dev
liba52-0.7.4-dev libcddb2-dev libcdaudio-dev \ libcdio-cdda-dev
libvorbis-dev libopenjpeg-dev libsdl1.2-dev

"git clone git://git.videolan.org/x264.git" and compiled libx264 from
source

3, configure and install

./configure --enable-nonfree --enable-gpl --enable-version3 \
--enable-shared --enable-postproc --enable-libmp3lame \
--enable-libopenjpeg --enable-libvorbis --enable-libopencore-amrnb \
--enable-libopencore-amrwb --enable-libxvid --enable-libx264  \
--enable-libfaac  --enable-pthreads
_______________________________________________
ffmpeg-user mailing list
[hidden email]
http://ffmpeg.org/mailman/listinfo/ffmpeg-user
Reply | Threaded
Open this post in threaded view
|

Re: Installation Problems

James Darnley
In reply to this post by Grant Smith
On 28/04/2011, Grant Smith <[hidden email]> wrote:

> I'm trying to install ffmpeg on Ubuntu 10.04 using the tutorial found @
> http://ubuntuforums.org/showpost.php?p=9868359&postcount=1289
>
> I get to the portion regarding the actual install of ffmpeg and I get the
> following error:
>
> ERROR: libmp3lame >= 3.98.3 not found
>
> If you think configure made a mistake, make sure you are using the latest
> version from Git.  If the latest version fails, report the problem to the
> [hidden email] mailing list or IRC #ffmpeg on irc.freenode.net.
> Include the log file "config.log" produced by configure as this will help
> solving the problem.
>
> The link to my config.log file is http://pastebin.com/wsJYFe5e. It's set to
> expire in ~20 hours.
>
> Any advice on this problem would be GREATLY appreciated.

Install lame 3.98.3 or newer.
_______________________________________________
ffmpeg-user mailing list
[hidden email]
http://ffmpeg.org/mailman/listinfo/ffmpeg-user
Reply | Threaded
Open this post in threaded view
|

Re: Installation Problems

Grant Smith
I have already installed lame 3.98.4.1 as per the referenced tutorial.

Thanks,

Grant Smith
A+, Network+, MCP x 2, BSIT/VC, MIS

Phone: +1.317.560.4457


On Thu, Apr 28, 2011 at 4:08 AM, James Darnley <[hidden email]>wrote:

> On 28/04/2011, Grant Smith <[hidden email]> wrote:
> > I'm trying to install ffmpeg on Ubuntu 10.04 using the tutorial found @
> > http://ubuntuforums.org/showpost.php?p=9868359&postcount=1289
> >
> > I get to the portion regarding the actual install of ffmpeg and I get the
> > following error:
> >
> > ERROR: libmp3lame >= 3.98.3 not found
> >
> > If you think configure made a mistake, make sure you are using the latest
> > version from Git.  If the latest version fails, report the problem to the
> > [hidden email] mailing list or IRC #ffmpeg on irc.freenode.net.
> > Include the log file "config.log" produced by configure as this will help
> > solving the problem.
> >
> > The link to my config.log file is http://pastebin.com/wsJYFe5e. It's set
> to
> > expire in ~20 hours.
> >
> > Any advice on this problem would be GREATLY appreciated.
>
> Install lame 3.98.3 or newer.
> _______________________________________________
> ffmpeg-user mailing list
> [hidden email]
> http://ffmpeg.org/mailman/listinfo/ffmpeg-user
>
_______________________________________________
ffmpeg-user mailing list
[hidden email]
http://ffmpeg.org/mailman/listinfo/ffmpeg-user
Reply | Threaded
Open this post in threaded view
|

Re: Installation Problems

Reindl Harald
You need the devel-package!

Am 28.04.2011 12:43, schrieb Grant Smith:

> I have already installed lame 3.98.4.1 as per the referenced tutorial.
>
> Thanks,
>
> Grant Smith
> A+, Network+, MCP x 2, BSIT/VC, MIS
>
> Phone: +1.317.560.4457
>
>
> On Thu, Apr 28, 2011 at 4:08 AM, James Darnley <[hidden email]>wrote:
>
>> On 28/04/2011, Grant Smith <[hidden email]> wrote:
>>> I'm trying to install ffmpeg on Ubuntu 10.04 using the tutorial found @
>>> http://ubuntuforums.org/showpost.php?p=9868359&postcount=1289
>>>
>>> I get to the portion regarding the actual install of ffmpeg and I get the
>>> following error:
>>>
>>> ERROR: libmp3lame >= 3.98.3 not found
>>>
>>> If you think configure made a mistake, make sure you are using the latest
>>> version from Git.  If the latest version fails, report the problem to the
>>> [hidden email] mailing list or IRC #ffmpeg on irc.freenode.net.
>>> Include the log file "config.log" produced by configure as this will help
>>> solving the problem.
>>>
>>> The link to my config.log file is http://pastebin.com/wsJYFe5e. It's set
>> to
>>> expire in ~20 hours.
>>>
>>> Any advice on this problem would be GREATLY appreciated.
>>
>> Install lame 3.98.3 or newer.
>> _______________________________________________
>> ffmpeg-user mailing list
>> [hidden email]
>> http://ffmpeg.org/mailman/listinfo/ffmpeg-user
>>
> _______________________________________________
> ffmpeg-user mailing list
> [hidden email]
> http://ffmpeg.org/mailman/listinfo/ffmpeg-user
--

Mit besten Grüßen, Reindl Harald
the lounge interactive design GmbH
A-1060 Vienna, Hofmühlgasse 17
CTO / software-development / cms-solutions
p: +43 (1) 595 3999 33, m: +43 (676) 40 221 40
icq: 154546673, http://www.thelounge.net/

http://www.thelounge.net/signature.asc.what.htm


_______________________________________________
ffmpeg-user mailing list
[hidden email]
http://ffmpeg.org/mailman/listinfo/ffmpeg-user

signature.asc (269 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Installation Problems

Grant Smith
Reindl Harald,Could you please elaborate on this? I'm not as well-versed in
Linux as I would like. How can I go about getting the devel package?

Thank you!!

Grant Smith
A+, Network+, MCP x 2, BSIT/VC, MIS

Phone: +1.317.560.4457


On Thu, Apr 28, 2011 at 6:52 AM, Reindl Harald <[hidden email]>wrote:

> You need the devel-package!
>
> Am 28.04.2011 12:43, schrieb Grant Smith:
> > I have already installed lame 3.98.4.1 as per the referenced tutorial.
> >
> > Thanks,
> >
> > Grant Smith
> > A+, Network+, MCP x 2, BSIT/VC, MIS
> >
> > Phone: +1.317.560.4457
> >
> >
> > On Thu, Apr 28, 2011 at 4:08 AM, James Darnley <[hidden email]
> >wrote:
> >
> >> On 28/04/2011, Grant Smith <[hidden email]> wrote:
> >>> I'm trying to install ffmpeg on Ubuntu 10.04 using the tutorial found @
> >>> http://ubuntuforums.org/showpost.php?p=9868359&postcount=1289
> >>>
> >>> I get to the portion regarding the actual install of ffmpeg and I get
> the
> >>> following error:
> >>>
> >>> ERROR: libmp3lame >= 3.98.3 not found
> >>>
> >>> If you think configure made a mistake, make sure you are using the
> latest
> >>> version from Git.  If the latest version fails, report the problem to
> the
> >>> [hidden email] mailing list or IRC #ffmpeg on irc.freenode.net
> .
> >>> Include the log file "config.log" produced by configure as this will
> help
> >>> solving the problem.
> >>>
> >>> The link to my config.log file is http://pastebin.com/wsJYFe5e. It's
> set
> >> to
> >>> expire in ~20 hours.
> >>>
> >>> Any advice on this problem would be GREATLY appreciated.
> >>
> >> Install lame 3.98.3 or newer.
> >> _______________________________________________
> >> ffmpeg-user mailing list
> >> [hidden email]
> >> http://ffmpeg.org/mailman/listinfo/ffmpeg-user
> >>
> > _______________________________________________
> > ffmpeg-user mailing list
> > [hidden email]
> > http://ffmpeg.org/mailman/listinfo/ffmpeg-user
>
> --
>
> Mit besten Grüßen, Reindl Harald
> the lounge interactive design GmbH
> A-1060 Vienna, Hofmühlgasse 17
> CTO / software-development / cms-solutions
> p: +43 (1) 595 3999 33, m: +43 (676) 40 221 40
> icq: 154546673, http://www.thelounge.net/
>
> http://www.thelounge.net/signature.asc.what.htm
>
>
> _______________________________________________
> ffmpeg-user mailing list
> [hidden email]
> http://ffmpeg.org/mailman/listinfo/ffmpeg-user
>
>
_______________________________________________
ffmpeg-user mailing list
[hidden email]
http://ffmpeg.org/mailman/listinfo/ffmpeg-user
Reply | Threaded
Open this post in threaded view
|

Re: Installation Problems

Reindl Harald
I do not know what distribution you use
you should get firm with you package-manager

on fedora it is "yum install lame-devel"
becuase there are seperate packages since
most peopole do not need devel-files

[root@buildserver:~]$ rpm -qa | grep lame
lame-devel-3.98.4-5.fc13.rh.20110312.x86_64
lame-libs-3.98.4-5.fc13.rh.20110312.x86_64
lame-3.98.4-5.fc13.rh.20110312.x86_64


Am 28.04.2011 16:32, schrieb Grant Smith:

> Reindl Harald,Could you please elaborate on this? I'm not as well-versed in
> Linux as I would like. How can I go about getting the devel package?
>
> Thank you!!
>
> Grant Smith
> A+, Network+, MCP x 2, BSIT/VC, MIS
>
> Phone: +1.317.560.4457
>
>
> On Thu, Apr 28, 2011 at 6:52 AM, Reindl Harald <[hidden email]>wrote:
>
>> You need the devel-package!
>>
>> Am 28.04.2011 12:43, schrieb Grant Smith:
>>> I have already installed lame 3.98.4.1 as per the referenced tutorial.
>>>
>>> Thanks,
>>>
>>> Grant Smith
>>> A+, Network+, MCP x 2, BSIT/VC, MIS
>>>
>>> Phone: +1.317.560.4457
>>>
>>>
>>> On Thu, Apr 28, 2011 at 4:08 AM, James Darnley <[hidden email]
>>> wrote:
>>>
>>>> On 28/04/2011, Grant Smith <[hidden email]> wrote:
>>>>> I'm trying to install ffmpeg on Ubuntu 10.04 using the tutorial found @
>>>>> http://ubuntuforums.org/showpost.php?p=9868359&postcount=1289
>>>>>
>>>>> I get to the portion regarding the actual install of ffmpeg and I get
>> the
>>>>> following error:
>>>>>
>>>>> ERROR: libmp3lame >= 3.98.3 not found
>>>>>
>>>>> If you think configure made a mistake, make sure you are using the
>> latest
>>>>> version from Git.  If the latest version fails, report the problem to
>> the
>>>>> [hidden email] mailing list or IRC #ffmpeg on irc.freenode.net
>> .
>>>>> Include the log file "config.log" produced by configure as this will
>> help
>>>>> solving the problem.
>>>>>
>>>>> The link to my config.log file is http://pastebin.com/wsJYFe5e. It's
>> set
>>>> to
>>>>> expire in ~20 hours.
>>>>>
>>>>> Any advice on this problem would be GREATLY appreciated.
>>>>
>>>> Install lame 3.98.3 or newer.
>>>> _______________________________________________
>>>> ffmpeg-user mailing list
>>>> [hidden email]
>>>> http://ffmpeg.org/mailman/listinfo/ffmpeg-user

_______________________________________________
ffmpeg-user mailing list
[hidden email]
http://ffmpeg.org/mailman/listinfo/ffmpeg-user

signature.asc (269 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Installation Problems

lou-22
In reply to this post by Reindl Harald
On Thu, 28 Apr 2011 12:52:48 +0200
Reindl Harald <[hidden email]> wrote:

> You need the devel-package!

The -dev package from the Ubuntu repository will not help.
libmp3lame-dev for Ubuntu Lucid is 3.98.2. FFmpeg requires >= 3.98.3.

> Am 28.04.2011 12:43, schrieb Grant Smith:
> > I have already installed lame 3.98.4.1 as per the referenced
> > tutorial.
> >
> > Thanks,
> >
> > Grant Smith
> > A+, Network+, MCP x 2, BSIT/VC, MIS
> >
> > Phone: +1.317.560.4457
> >
> >
> > On Thu, Apr 28, 2011 at 4:08 AM, James Darnley
> > <[hidden email]>wrote:
> >
> >> On 28/04/2011, Grant Smith <[hidden email]> wrote:
> >>> I'm trying to install ffmpeg on Ubuntu 10.04 using the tutorial
> >>> found @
> >>> http://ubuntuforums.org/showpost.php?p=9868359&postcount=1289
> >>>
> >>> I get to the portion regarding the actual install of ffmpeg and I
> >>> get the following error:
> >>>
> >>> ERROR: libmp3lame >= 3.98.3 not found
> >>>
> >>> If you think configure made a mistake, make sure you are using
> >>> the latest version from Git.  If the latest version fails, report
> >>> the problem to the [hidden email] mailing list or IRC
> >>> #ffmpeg on irc.freenode.net. Include the log file "config.log"
> >>> produced by configure as this will help solving the problem.
> >>>
> >>> The link to my config.log file is http://pastebin.com/wsJYFe5e.
> >>> It's set
> >> to
> >>> expire in ~20 hours.
> >>>
> >>> Any advice on this problem would be GREATLY appreciated.
> >>
> >> Install lame 3.98.3 or newer.
_______________________________________________
ffmpeg-user mailing list
[hidden email]
http://ffmpeg.org/mailman/listinfo/ffmpeg-user
Reply | Threaded
Open this post in threaded view
|

Re: Installation Problems

Reindl Harald
then learn how to build a ubunto-package as i did with fedora
and build all needed pakacges the same way before or use ffmpeg
from available repos - there is nothing between

Am 28.04.2011 19:44, schrieb Lou:

> On Thu, 28 Apr 2011 12:52:48 +0200
> Reindl Harald <[hidden email]> wrote:
>
>> You need the devel-package!
>
> The -dev package from the Ubuntu repository will not help.
> libmp3lame-dev for Ubuntu Lucid is 3.98.2. FFmpeg requires >= 3.98.3.
>
>> Am 28.04.2011 12:43, schrieb Grant Smith:
>>> I have already installed lame 3.98.4.1 as per the referenced
>>> tutorial.
>>>
>>> Thanks,
>>>
>>> Grant Smith
>>> A+, Network+, MCP x 2, BSIT/VC, MIS
>>>
>>> Phone: +1.317.560.4457
>>>
>>>
>>> On Thu, Apr 28, 2011 at 4:08 AM, James Darnley
>>> <[hidden email]>wrote:
>>>
>>>> On 28/04/2011, Grant Smith <[hidden email]> wrote:
>>>>> I'm trying to install ffmpeg on Ubuntu 10.04 using the tutorial
>>>>> found @
>>>>> http://ubuntuforums.org/showpost.php?p=9868359&postcount=1289
>>>>>
>>>>> I get to the portion regarding the actual install of ffmpeg and I
>>>>> get the following error:
>>>>>
>>>>> ERROR: libmp3lame >= 3.98.3 not found
>>>>>
>>>>> If you think configure made a mistake, make sure you are using
>>>>> the latest version from Git.  If the latest version fails, report
>>>>> the problem to the [hidden email] mailing list or IRC
>>>>> #ffmpeg on irc.freenode.net. Include the log file "config.log"
>>>>> produced by configure as this will help solving the problem.
>>>>>
>>>>> The link to my config.log file is http://pastebin.com/wsJYFe5e.
>>>>> It's set
>>>> to
>>>>> expire in ~20 hours.
>>>>>
>>>>> Any advice on this problem would be GREATLY appreciated.
>>>>
>>>> Install lame 3.98.3 or newer.
> _______________________________________________
> ffmpeg-user mailing list
> [hidden email]
> http://ffmpeg.org/mailman/listinfo/ffmpeg-user
--

Mit besten Grüßen, Reindl Harald
the lounge interactive design GmbH
A-1060 Vienna, Hofmühlgasse 17
CTO / software-development / cms-solutions
p: +43 (1) 595 3999 33, m: +43 (676) 40 221 40
icq: 154546673, http://www.thelounge.net/

http://www.thelounge.net/signature.asc.what.htm


_______________________________________________
ffmpeg-user mailing list
[hidden email]
http://ffmpeg.org/mailman/listinfo/ffmpeg-user

signature.asc (269 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Installation Problems

Grant Smith
Reindl Harald,The tutorial has me building everything. The problem is that
ffmpeg won't build.

Please read my original email and look at my pastebin and you would see
this.

Thank you for your assistance.

Yours,

Grant Smith
A+, Network+, MCP x 2, BSIT/VC, MIS

Phone: +1.317.560.4457


On Thu, Apr 28, 2011 at 1:47 PM, Reindl Harald <[hidden email]>wrote:

> then learn how to build a ubunto-package as i did with fedora
> and build all needed pakacges the same way before or use ffmpeg
> from available repos - there is nothing between
>
> Am 28.04.2011 19:44, schrieb Lou:
> > On Thu, 28 Apr 2011 12:52:48 +0200
> > Reindl Harald <[hidden email]> wrote:
> >
> >> You need the devel-package!
> >
> > The -dev package from the Ubuntu repository will not help.
> > libmp3lame-dev for Ubuntu Lucid is 3.98.2. FFmpeg requires >= 3.98.3.
> >
> >> Am 28.04.2011 12:43, schrieb Grant Smith:
> >>> I have already installed lame 3.98.4.1 as per the referenced
> >>> tutorial.
> >>>
> >>> Thanks,
> >>>
> >>> Grant Smith
> >>> A+, Network+, MCP x 2, BSIT/VC, MIS
> >>>
> >>> Phone: +1.317.560.4457
> >>>
> >>>
> >>> On Thu, Apr 28, 2011 at 4:08 AM, James Darnley
> >>> <[hidden email]>wrote:
> >>>
> >>>> On 28/04/2011, Grant Smith <[hidden email]> wrote:
> >>>>> I'm trying to install ffmpeg on Ubuntu 10.04 using the tutorial
> >>>>> found @
> >>>>> http://ubuntuforums.org/showpost.php?p=9868359&postcount=1289
> >>>>>
> >>>>> I get to the portion regarding the actual install of ffmpeg and I
> >>>>> get the following error:
> >>>>>
> >>>>> ERROR: libmp3lame >= 3.98.3 not found
> >>>>>
> >>>>> If you think configure made a mistake, make sure you are using
> >>>>> the latest version from Git.  If the latest version fails, report
> >>>>> the problem to the [hidden email] mailing list or IRC
> >>>>> #ffmpeg on irc.freenode.net. Include the log file "config.log"
> >>>>> produced by configure as this will help solving the problem.
> >>>>>
> >>>>> The link to my config.log file is http://pastebin.com/wsJYFe5e.
> >>>>> It's set
> >>>> to
> >>>>> expire in ~20 hours.
> >>>>>
> >>>>> Any advice on this problem would be GREATLY appreciated.
> >>>>
> >>>> Install lame 3.98.3 or newer.
> > _______________________________________________
> > ffmpeg-user mailing list
> > [hidden email]
> > http://ffmpeg.org/mailman/listinfo/ffmpeg-user
>
> --
>
> Mit besten Grüßen, Reindl Harald
> the lounge interactive design GmbH
> A-1060 Vienna, Hofmühlgasse 17
> CTO / software-development / cms-solutions
> p: +43 (1) 595 3999 33, m: +43 (676) 40 221 40
> icq: 154546673, http://www.thelounge.net/
>
> http://www.thelounge.net/signature.asc.what.htm
>
>
> _______________________________________________
> ffmpeg-user mailing list
> [hidden email]
> http://ffmpeg.org/mailman/listinfo/ffmpeg-user
>
>
_______________________________________________
ffmpeg-user mailing list
[hidden email]
http://ffmpeg.org/mailman/listinfo/ffmpeg-user
Reply | Threaded
Open this post in threaded view
|

Re: Installation Problems

bat guano

Hi
I had some problems with lame when compiling FFmpeg for Karmic Ubuntu.
The alternative Henrikx method in post #1286 of the tutorial worked for me.
     

--
View this message in context: http://ffmpeg-users.933282.n4.nabble.com/Installation-Problems-tp3479957p3481884.html
Sent from the FFmpeg-users mailing list archive at Nabble.com.
_______________________________________________
ffmpeg-user mailing list
[hidden email]
http://ffmpeg.org/mailman/listinfo/ffmpeg-user
Reply | Threaded
Open this post in threaded view
|

Re: Installation Problems

Grant Smith
I'll give it a look, thanks.

Grant Smith
A+, Network+, MCP x 2, BSIT/VC, MIS

Phone: +1.317.560.4457


On Thu, Apr 28, 2011 at 3:03 PM, bat guano <[hidden email]> wrote:

>
> Hi
> I had some problems with lame when compiling FFmpeg for Karmic Ubuntu.
> The alternative Henrikx method in post #1286 of the tutorial worked for me.
>
>
> --
> View this message in context:
> http://ffmpeg-users.933282.n4.nabble.com/Installation-Problems-tp3479957p3481884.html
> Sent from the FFmpeg-users mailing list archive at Nabble.com.
> _______________________________________________
> ffmpeg-user mailing list
> [hidden email]
> http://ffmpeg.org/mailman/listinfo/ffmpeg-user
>
_______________________________________________
ffmpeg-user mailing list
[hidden email]
http://ffmpeg.org/mailman/listinfo/ffmpeg-user
Reply | Threaded
Open this post in threaded view
|

Re: Installation Problems

Grant Smith
No dice... I get the same error trying to build ffmpeg as I did before
trying the suggested alternative method....

Here's my latest pastebin: http://pastebin.com/aiueMJxA

Thanks,

Grant Smith
A+, Network+, MCP x 2, BSIT/VC, MIS

Phone: +1.317.560.4457


On Thu, Apr 28, 2011 at 3:16 PM, Grant Smith <[hidden email]>wrote:

> I'll give it a look, thanks.
>
>
> Grant Smith
> A+, Network+, MCP x 2, BSIT/VC, MIS
>
> Phone: +1.317.560.4457
>
>
> On Thu, Apr 28, 2011 at 3:03 PM, bat guano <[hidden email]>wrote:
>
>>
>> Hi
>> I had some problems with lame when compiling FFmpeg for Karmic Ubuntu.
>> The alternative Henrikx method in post #1286 of the tutorial worked for
>> me.
>>
>>
>> --
>> View this message in context:
>> http://ffmpeg-users.933282.n4.nabble.com/Installation-Problems-tp3479957p3481884.html
>> Sent from the FFmpeg-users mailing list archive at Nabble.com.
>> _______________________________________________
>> ffmpeg-user mailing list
>> [hidden email]
>> http://ffmpeg.org/mailman/listinfo/ffmpeg-user
>>
>
>
_______________________________________________
ffmpeg-user mailing list
[hidden email]
http://ffmpeg.org/mailman/listinfo/ffmpeg-user
Reply | Threaded
Open this post in threaded view
|

Re: Installation Problems

littlebat
If you make sure ffmpeg has been compiled and installed ok,
then try "sudo ldconfig -v"

On Thu, 28 Apr 2011 23:01:31 -0400
Grant Smith <[hidden email]> wrote:

> No dice... I get the same error trying to build ffmpeg as I did before
> trying the suggested alternative method....
>
> Here's my latest pastebin: http://pastebin.com/aiueMJxA
>
> Thanks,
>
> Grant Smith
> A+, Network+, MCP x 2, BSIT/VC, MIS
>
> Phone: +1.317.560.4457
>
>
> On Thu, Apr 28, 2011 at 3:16 PM, Grant Smith
> <[hidden email]>wrote:
>
> > I'll give it a look, thanks.
> >
> >
> > Grant Smith
> > A+, Network+, MCP x 2, BSIT/VC, MIS
> >
> > Phone: +1.317.560.4457
> >
> >
> > On Thu, Apr 28, 2011 at 3:03 PM, bat guano
> > <[hidden email]>wrote:
> >
> >>
> >> Hi
> >> I had some problems with lame when compiling FFmpeg for Karmic
> >> Ubuntu. The alternative Henrikx method in post #1286 of the
> >> tutorial worked for me.
> >>
> >>
> >> --
> >> View this message in context:
> >> http://ffmpeg-users.933282.n4.nabble.com/Installation-Problems-tp3479957p3481884.html
> >> Sent from the FFmpeg-users mailing list archive at Nabble.com.
> >> _______________________________________________
> >> ffmpeg-user mailing list
> >> [hidden email]
> >> http://ffmpeg.org/mailman/listinfo/ffmpeg-user
> >>
> >
> >
> _______________________________________________
> ffmpeg-user mailing list
> [hidden email]
> http://ffmpeg.org/mailman/listinfo/ffmpeg-user
_______________________________________________
ffmpeg-user mailing list
[hidden email]
http://ffmpeg.org/mailman/listinfo/ffmpeg-user
Reply | Threaded
Open this post in threaded view
|

Re: Installation Problems

Reindl Harald
In reply to this post by Grant Smith

Am 29.04.2011 05:01, schrieb Grant Smith:
> No dice... I get the same error trying to build ffmpeg as I did before
> trying the suggested alternative method....
>
> Here's my latest pastebin: http://pastebin.com/aiueMJxA

/home/ubuntu/lame-3.98.4/include/lame.h

why should configure look there?

personal build have to be in /usr/local/ substrcuture and
not dropped overall the system and if you leave the standard-paths
you must say configure where your stuff is hidden


_______________________________________________
ffmpeg-user mailing list
[hidden email]
http://ffmpeg.org/mailman/listinfo/ffmpeg-user

signature.asc (269 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Installation Problems

Grant Smith
In reply to this post by littlebat
littlebat,

FFmpeg has /not/ been compiled and installed ok. That's the problem. It
keeps failing, saying that it cannot find lame.

Grant Smith
A+, Network+, MCP x 2, BSIT/VC, MIS

Phone: +1.317.560.4457


On Fri, Apr 29, 2011 at 3:46 AM, littlebat <[hidden email]> wrote:

> If you make sure ffmpeg has been compiled and installed ok,
> then try "sudo ldconfig -v"
>
> On Thu, 28 Apr 2011 23:01:31 -0400
> Grant Smith <[hidden email]> wrote:
>
> > No dice... I get the same error trying to build ffmpeg as I did before
> > trying the suggested alternative method....
> >
> > Here's my latest pastebin: http://pastebin.com/aiueMJxA
> >
> > Thanks,
> >
> > Grant Smith
> > A+, Network+, MCP x 2, BSIT/VC, MIS
> >
> > Phone: +1.317.560.4457
> >
> >
> > On Thu, Apr 28, 2011 at 3:16 PM, Grant Smith
> > <[hidden email]>wrote:
> >
> > > I'll give it a look, thanks.
> > >
> > >
> > > Grant Smith
> > > A+, Network+, MCP x 2, BSIT/VC, MIS
> > >
> > > Phone: +1.317.560.4457
> > >
> > >
> > > On Thu, Apr 28, 2011 at 3:03 PM, bat guano
> > > <[hidden email]>wrote:
> > >
> > >>
> > >> Hi
> > >> I had some problems with lame when compiling FFmpeg for Karmic
> > >> Ubuntu. The alternative Henrikx method in post #1286 of the
> > >> tutorial worked for me.
> > >>
> > >>
> > >> --
> > >> View this message in context:
> > >>
> http://ffmpeg-users.933282.n4.nabble.com/Installation-Problems-tp3479957p3481884.html
> > >> Sent from the FFmpeg-users mailing list archive at Nabble.com.
> > >> _______________________________________________
> > >> ffmpeg-user mailing list
> > >> [hidden email]
> > >> http://ffmpeg.org/mailman/listinfo/ffmpeg-user
> > >>
> > >
> > >
> > _______________________________________________
> > ffmpeg-user mailing list
> > [hidden email]
> > http://ffmpeg.org/mailman/listinfo/ffmpeg-user
> _______________________________________________
> ffmpeg-user mailing list
> [hidden email]
> http://ffmpeg.org/mailman/listinfo/ffmpeg-user
>
_______________________________________________
ffmpeg-user mailing list
[hidden email]
http://ffmpeg.org/mailman/listinfo/ffmpeg-user
Reply | Threaded
Open this post in threaded view
|

Re: Installation Problems

Grant Smith
In reply to this post by Reindl Harald
Reindl Harald,

I'm doing everything according to the tutorial and I haven't done anything
custom, i.e. everything goes to the paths it's set to go to without any
intervention from me.

I can give it a try from the root of the filesystem tonight and see if that
helps.

Thank you for your input.

Grant Smith
A+, Network+, MCP x 2, BSIT/VC, MIS

Phone: +1.317.560.4457


On Fri, Apr 29, 2011 at 4:01 AM, Reindl Harald <[hidden email]>wrote:

>
> Am 29.04.2011 05:01, schrieb Grant Smith:
> > No dice... I get the same error trying to build ffmpeg as I did before
> > trying the suggested alternative method....
> >
> > Here's my latest pastebin: http://pastebin.com/aiueMJxA
>
> /home/ubuntu/lame-3.98.4/include/lame.h
>
> why should configure look there?
>
> personal build have to be in /usr/local/ substrcuture and
> not dropped overall the system and if you leave the standard-paths
> you must say configure where your stuff is hidden
>
>
> _______________________________________________
> ffmpeg-user mailing list
> [hidden email]
> http://ffmpeg.org/mailman/listinfo/ffmpeg-user
>
>
_______________________________________________
ffmpeg-user mailing list
[hidden email]
http://ffmpeg.org/mailman/listinfo/ffmpeg-user
Reply | Threaded
Open this post in threaded view
|

Re: Installation Problems

Reindl Harald


Am 29.04.2011 13:51, schrieb Grant Smith:
> Reindl Harald,
>
> I'm doing everything according to the tutorial and I haven't done anything
> custom, i.e. everything goes to the paths it's set to go to without any
> intervention from me.

if your tutorial ends in "/home/ubuntu/lame-3.98.4/include/lame.h"
and the configure from thesame tutorial is called without any
informations wehre inlcudes are the tutorial is crap

i can not really help on ubuntu because i will never touch
and deb-based distribution in my life, but again:

you should learn how to build deb-apackages instead of compiling
installing somewhere manually, this is a dirty way and will bring
al lot of troubles sooner or later since builds of new versions
do not remove orphaned files - that is why pakacge-managment was invented


_______________________________________________
ffmpeg-user mailing list
[hidden email]
http://ffmpeg.org/mailman/listinfo/ffmpeg-user

signature.asc (269 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Installation Problems

Grant Smith
The tutorial builds packages. They can then be removed through use of dpkg
(-r) to uninstall.

As I stated earlier, if you take a look at the tutorial, you'd see what I'm
talking about.

Thanks,

Grant Smith
A+, Network+, MCP x 2, BSIT/VC, MIS

Phone: +1.317.560.4457


On Fri, Apr 29, 2011 at 7:59 AM, Reindl Harald <[hidden email]>wrote:

>
>
> Am 29.04.2011 13:51, schrieb Grant Smith:
> > Reindl Harald,
> >
> > I'm doing everything according to the tutorial and I haven't done
> anything
> > custom, i.e. everything goes to the paths it's set to go to without any
> > intervention from me.
>
> if your tutorial ends in "/home/ubuntu/lame-3.98.4/include/lame.h"
> and the configure from thesame tutorial is called without any
> informations wehre inlcudes are the tutorial is crap
>
> i can not really help on ubuntu because i will never touch
> and deb-based distribution in my life, but again:
>
> you should learn how to build deb-apackages instead of compiling
> installing somewhere manually, this is a dirty way and will bring
> al lot of troubles sooner or later since builds of new versions
> do not remove orphaned files - that is why pakacge-managment was invented
>
>
> _______________________________________________
> ffmpeg-user mailing list
> [hidden email]
> http://ffmpeg.org/mailman/listinfo/ffmpeg-user
>
>
_______________________________________________
ffmpeg-user mailing list
[hidden email]
http://ffmpeg.org/mailman/listinfo/ffmpeg-user
12